#!/bin/sh
# gather some hardware/system data for troubleshooting
#
# NB: don't forget to take them off the thin client,
#     e.g. scp -pr /tmp/ltsp* USER@server:

DIR="/tmp/ltsp-${1:-$RANDOM}"
XLOG=/var/log/Xorg.7.log

mkdir -p $DIR
cd $DIR
free -m > free-m
pstree > pstree
dmesg > dmesg
lspci > lspci
lspci -k > lspci-k
ethtool eth0 > ethtool-eth0
[ ! -f "$XLOG" ] || cp -a "$XLOG" .
cat /proc/cpuinfo > cpuinfo
cd ..
ls -d "$DIR"
ls -l "$DIR"
